Create a backup from a cloud volume
/v1/cloud_block_storage/backupsTo create a new backup, send a POST request to the /v1/cloud_block_storage/backups endpoint. Specify an ID of a necessary volume and give a name to a copy in the query parameters.
Authorization
bearerAuth In: header
Request Body
application/json
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/cloud_block_storage/backups" \ -H "Content-Type: application/json" \ -d '{ "volume_id": "lNbWJayg", "name": "baackup", "labels": { "environment": "production", "service": "my-web-app", "example.com/project": "my-project", "example.com/owner": "my-team" } }'{ "id": "MvbmOeYA", "openstack_uuid": null, "openstack_volume_uuid": "044432a0-71a2-4325-b892-f0810ccbe964", "region_id": 0, "region_code": "NL01", "name": "baackup", "size": 1, "status": "pending", "labels": { "environment": "production", "service": "my-web-app", "example.com/project": "my-project", "example.com/owner": "my-team" }, "created_at": null}{ "message": "Volume is currently backing up, please wait", "code": "ANOTHER_BACKUP_IN_PROCESS"}{ "message": "Validation failed", "code": "UNPROCESSABLE_ENTITY", "errors": { "name": "is missing", "volume_id": "invalid format" }}{ "message": "Region in maintenance mode", "code": "CLOUD_REGION_MAINTENANCE"}